Page MenuHomePhabricator

Zero banners are not always shown due to jQuery not loading in time
Closed, ResolvedPublic

Description

Repro steps:

Details

Related Gerrit Patches:
mediawiki/extensions/ZeroBanner : wmf/1.27.0-wmf.3Remove jQuery dependency during banner injection
mediawiki/extensions/ZeroBanner : wmf/1.27.0-wmf.4Remove jQuery dependency during banner injection
mediawiki/extensions/ZeroBanner : masterRemove jQuery dependency during banner injection

Related Objects

Event Timeline

jhobs raised the priority of this task from to Needs Triage.
jhobs updated the task description. (Show Details)
jhobs added projects: Zero, ZeroBanner.
jhobs added a subscriber: jhobs.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 27 2015, 8:19 PM
Jdlrobson triaged this task as Unbreak Now! priority.Oct 28 2015, 5:10 PM

Testing this fix is going to be problematic... Due to the way zero banners are injected, the affected code route only appears to be hit when a user's IP is listed within a zero configuration on production. Even spoofing the headers to simulate zero-rating hits a different code path, which makes me believe there's some Varnish logic going on that I don't fully understand. @dr0ptp4kt might have some insight on how this works and if there is indeed a way to test it locally.

Change 249874 had a related patch set uploaded (by Jhobs):
Remove jQuery dependency during banner injection

https://gerrit.wikimedia.org/r/249874

Just to keep this thread updated, @Yurik found a way for us to test this locally and @Jdlrobson and I have fixed it. The script that is loaded into the page now contains the code in this paste: P2260. Currently awaiting verification and +2 from Yuri.

jhobs added a subscriber: DFoy.Oct 29 2015, 9:42 PM

Change 249900 had a related patch set uploaded (by Yurik):
Remove jQuery dependency during banner injection

https://gerrit.wikimedia.org/r/249900

Change 249902 had a related patch set uploaded (by Yurik):
Remove jQuery dependency during banner injection

https://gerrit.wikimedia.org/r/249902

Change 249874 merged by jenkins-bot:
Remove jQuery dependency during banner injection

https://gerrit.wikimedia.org/r/249874

Change 249900 merged by jenkins-bot:
Remove jQuery dependency during banner injection

https://gerrit.wikimedia.org/r/249900

Change 249902 merged by jenkins-bot:
Remove jQuery dependency during banner injection

https://gerrit.wikimedia.org/r/249902

Yurik closed this task as Resolved.Oct 29 2015, 10:55 PM

Everything has been deployed, and seems to be working.

DFoy added a comment.Oct 29 2015, 11:05 PM

Thanks Yuri, Jeff!